package com.ejie.ab79.model.expedientes;

/**
 * TiposCanalAviso  
 * 
 *  
 */

public class TiposCanalAviso implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long idTipoCanalAviso;
	private String descripcionCastellano;
	private String descripcionEuskera;
	private String usuarioRegistro;

	/**
	 * Method 'TiposCanalAviso'.
	 */
	public TiposCanalAviso() {
	}

	/**
	 * Method 'TiposCanalAviso'.
	 * 
	 * @param idTipoCanalAviso
	 *            Long
	 */
	public TiposCanalAviso(Long idTipoCanalAviso) {
		this.idTipoCanalAviso = idTipoCanalAviso;
	}

	/**
	 * Method 'TiposCanalAviso'.
	 * 
	 * @param idTipoCanalAviso
	 *            Long
	 * @param descripcionCastellano
	 *            String
	 * @param descripcionEuskera
	 *            String
	 * @param usuarioRegistro
	 *            String
	 */
	public TiposCanalAviso(Long idTipoCanalAviso, String descripcionCastellano, String descripcionEuskera,
			String usuarioRegistro) {

		this.idTipoCanalAviso = idTipoCanalAviso;
		this.descripcionCastellano = descripcionCastellano;
		this.descripcionEuskera = descripcionEuskera;
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getIdTipoCanalAviso'.
	 *
	 * @return Long
	 */

	public Long getIdTipoCanalAviso() {
		return this.idTipoCanalAviso;
	}

	/**
	 * Method 'setIdTipoCanalAviso'.
	 *
	 * @param idTipoCanalAviso
	 *            Long
	 * @return
	 */

	public void setIdTipoCanalAviso(Long idTipoCanalAviso) {
		this.idTipoCanalAviso = idTipoCanalAviso;
	}

	/**
	 * Method 'getDescripcionCastellano'.
	 *
	 * @return String
	 */

	public String getDescripcionCastellano() {
		return this.descripcionCastellano;
	}

	/**
	 * Method 'setDescripcionCastellano'.
	 *
	 * @param descripcionCastellano
	 *            String
	 * @return
	 */

	public void setDescripcionCastellano(String descripcionCastellano) {
		this.descripcionCastellano = descripcionCastellano;
	}

	/**
	 * Method 'getDescripcionEuskera'.
	 *
	 * @return String
	 */

	public String getDescripcionEuskera() {
		return this.descripcionEuskera;
	}

	/**
	 * Method 'setDescripcionEuskera'.
	 *
	 * @param descripcionEuskera
	 *            String
	 * @return
	 */

	public void setDescripcionEuskera(String descripcionEuskera) {
		this.descripcionEuskera = descripcionEuskera;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idTipoCanalAviso: ").append(this.idTipoCanalAviso).append(" ]");
		result.append(", [ descripcionCastellano: ").append(this.descripcionCastellano).append(" ]");
		result.append(", [ descripcionEuskera: ").append(this.descripcionEuskera).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

}
